org.apache.storm.utils

## Class CuratorUtils

- java.lang.Object
- - org.apache.storm.utils.CuratorUtils

-     public class CuratorUtils
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.slf4j.Logger` | `LOG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CuratorUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.storm.shade.org.apache.curator.framework.CuratorFramework` | `newCurator(Map<String,Object> conf, List<String> servers, Object port, String root, List<org.apache.storm.shade.org.apache.zookeeper.data.ACL> defaultAcl)`
    `static org.apache.storm.shade.org.apache.curator.framework.CuratorFramework` | `newCurator(Map<String,Object> conf, List<String> servers, Object port, String root, ZookeeperAuthInfo auth, List<org.apache.storm.shade.org.apache.zookeeper.data.ACL> defaultAcl)`
    `static org.apache.storm.shade.org.apache.curator.framework.CuratorFramework` | `newCurator(Map<String,Object> conf, List<String> servers, Object port, ZookeeperAuthInfo auth, List<org.apache.storm.shade.org.apache.zookeeper.data.ACL> defaultAcl)`
    `static org.apache.storm.shade.org.apache.curator.framework.CuratorFramework` | `newCuratorStarted(Map<String,Object> conf, List<String> servers, Object port, String root, ZookeeperAuthInfo auth, List<org.apache.storm.shade.org.apache.zookeeper.data.ACL> defaultAcl)`
    `static org.apache.storm.shade.org.apache.curator.framework.CuratorFramework` | `newCuratorStarted(Map<String,Object> conf, List<String> servers, Object port, ZookeeperAuthInfo auth, List<org.apache.storm.shade.org.apache.zookeeper.data.ACL> defaultAcl)`
    `protected static void` | `setupBuilder(org.apache.storm.shade.org.apache.curator.framework.CuratorFrameworkFactory.Builder builder, String zkStr, Map<String,Object> conf, ZookeeperAuthInfo auth)`
    `static void` | `testSetupBuilder(org.apache.storm.shade.org.apache.curator.framework.CuratorFrameworkFactory.Builder builder, String zkStr, Map<String,Object> conf, ZookeeperAuthInfo auth)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOG

          public static final org.slf4j.Logger LOG

  - ### Constructor Detail

    - #### CuratorUtils

          public CuratorUtils()

  - ### Method Detail

    - #### newCurator

          public static org.apache.storm.shade.org.apache.curator.framework.CuratorFramework newCurator(Map<String,Object> conf,
                                                                                                        List<String> servers,
                                                                                                        Object port,
                                                                                                        String root,
                                                                                                        List<org.apache.storm.shade.org.apache.zookeeper.data.ACL> defaultAcl)

    - #### newCurator

          public static org.apache.storm.shade.org.apache.curator.framework.CuratorFramework newCurator(Map<String,Object> conf,
                                                                                                        List<String> servers,
                                                                                                        Object port,
                                                                                                        ZookeeperAuthInfo auth,
                                                                                                        List<org.apache.storm.shade.org.apache.zookeeper.data.ACL> defaultAcl)

    - #### newCurator

          public static org.apache.storm.shade.org.apache.curator.framework.CuratorFramework newCurator(Map<String,Object> conf,
                                                                                                        List<String> servers,
                                                                                                        Object port,
                                                                                                        String root,
                                                                                                        ZookeeperAuthInfo auth,
                                                                                                        List<org.apache.storm.shade.org.apache.zookeeper.data.ACL> defaultAcl)

    - #### setupBuilder

          protected static void setupBuilder(org.apache.storm.shade.org.apache.curator.framework.CuratorFrameworkFactory.Builder builder,
                                             String zkStr,
                                             Map<String,Object> conf,
                                             ZookeeperAuthInfo auth)

    - #### testSetupBuilder

          public static void testSetupBuilder(org.apache.storm.shade.org.apache.curator.framework.CuratorFrameworkFactory.Builder builder,
                                              String zkStr,
                                              Map<String,Object> conf,
                                              ZookeeperAuthInfo auth)

    - #### newCuratorStarted

          public static org.apache.storm.shade.org.apache.curator.framework.CuratorFramework newCuratorStarted(Map<String,Object> conf,
                                                                                                               List<String> servers,
                                                                                                               Object port,
                                                                                                               String root,
                                                                                                               ZookeeperAuthInfo auth,
                                                                                                               List<org.apache.storm.shade.org.apache.zookeeper.data.ACL> defaultAcl)

    - #### newCuratorStarted

          public static org.apache.storm.shade.org.apache.curator.framework.CuratorFramework newCuratorStarted(Map<String,Object> conf,
                                                                                                               List<String> servers,
                                                                                                               Object port,
                                                                                                               ZookeeperAuthInfo auth,
                                                                                                               List<org.apache.storm.shade.org.apache.zookeeper.data.ACL> defaultAcl)

Copyright © 2021 The Apache Software Foundation. All rights reserved.